%define prefix /usr
%define name lxMenuEditor
%define version 01012011
%define release %mkrel 3
%define url http://opendesktop.org/content/show.php?content=138298

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/LXDE
URL:		%{url}
Source:		%{name}.tar.xz
Summary:	GUI menu editor for LXDE
Summary(de):	GUI-Menü-Editor für LXDE
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	zenity
Requires:	libfm-gtk
Obsoletes:	%name < %version
BuildArch:	noarch

%description
It appears to provide a GUI menu editor for LXDE.
Conceived for LXDE it can also work for KDE and GNOME.
LxMenuEditor will affect the main menu and the apps 
your quick launcher calls on.

#german
%description -l de
Es handelt sich sich um ein GUI-Menü-Editor für LXDE.
Konzipiert für LXDE, aber auch für KDE und GNOME nutzbar.
LxMenuEditor fügt Anwendungen in das Hauptmenü nach 
ihren Vorgaben hinzu.


%prep

%setup -q -n %{name}


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Name[de]=%{name}
Comment=LxMenuEditor will affect the main menu and the apps your quick launcher calls on.
Comment[de]=LxMenuEditor fügt Anwendungen in das Hauptmenü nach ihren Vorgaben hinzu.
Exec=%{_bindir}/%{name}
Icon=/usr/share/icons/oxygen/48x48/actions/configure-shortcuts.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Configuration
Encoding=UTF-8
EOF

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,sr}/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}/languages/%{name}-de_DE.po


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Wed Feb 19 2014 ghostbunny <hmhaase at pclinuxosusers dot de> 01012011-3pclos2014
- rebuild, change requires lxshortcut to libfm-gtk because the binary has moved into 
  this package
- set BuildArch to noarch because it is just bash script and the mo files

* Sun Aug 28 2011 Neal <nealbrks0 at gmail.com> 01012011-2pclos2011
- build 64-bit package

* Sun Mar 20 2011 leiche <meisssw01 at aol.com> 01012011-2leiche2011
- add german language

* Sat Mar 19 2011 leiche <meisssw01 at aol.com> 01012011-1leiche2011
- import to PCLinuxOS
